<mat-toolbar color="primary" role="heading">
  <button mat-icon-button aria-label="Toggle menu" (click)="sidenav.toggle()" *ngIf="isMobile">
    <mat-icon>menu</mat-icon>
  </button>
  <span class="toolbar-title">MEL Dashboard</span>
  <div class="maintenance-badge" *ngIf="inMaintenance">
    <mat-icon color="warn">engineering</mat-icon>
    <p>Maintenance</p>
  </div>
  <div *ngIf="user" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="8px">
    <mat-icon>person</mat-icon>
    <span>{{ user.preferred_username }}</span>
    <button mat-icon-button aria-label="Sign out" (click)="signOut()">
      <mat-icon>logout</mat-icon>
    </button>
  </div>
</mat-toolbar>
<mat-sidenav-container>
  <mat-sidenav #sidenav [mode]="sidenavMode" [opened]="sidenavOpened" [fixedInViewport]="sidenavFixedInViewport">
    <mat-nav-list>
      <a routerLink="/" mat-list-item #rla="routerLinkActive" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
        <mat-icon mat-list-icon [color]="rla.isActive ? 'primary' : ''">home</mat-icon>
        <span mat-line>{{ 'APP.LINKS.HOME' | translate }}</span>
      </a>
      <h2 matSubheader fxLayout="row" fxLayoutAlign="space-between center">
        <span>Resources</span>
        <div *ngIf="isSuperAdmin" class="dump-wrapper">
          <button mat-icon-button (click)="dump()" [matTooltip]="dumpStep" matTooltipPosition="right">
            <mat-icon>file_download</mat-icon>
          </button>
          <mat-progress-spinner class="dump-spinner" diameter="42" mode="determinate" [value]="dumpValue"></mat-progress-spinner>
        </div>
      </h2>
      <mat-list-item *ngFor="let route of resourcesRoutes" [disableRipple]="true" class="double-action">
        <mat-icon mat-list-icon [color]="rla.isActive ? 'primary' : ''">{{ route.data && route.data.icon }}</mat-icon>
        <a mat-line matRipple [routerLink]="['resources', route.path]" #rla="routerLinkActive" routerLinkActive="active"
          [matTooltip]="'Collection size: ' + (totalSize && route.data?.type && totalSize[route.data?.type] || 'unavailable' | bytes)" matTooltipPosition="right">{{ route.data &&
          route.data.linkLabel | translate }}</a>
        <a class="alt-link" [routerLink]="['resources', route.path]" [queryParams]="draftsItemsLinkQueryParams" mat-flat-button color="primary"
          *ngIf="route.data?.type === 'items' && ((drafts$ | async) || 0) > 0">{{ drafts$ | async }}</a>
      </mat-list-item>
      <h2 matSubheader fxLayout="row" fxLayoutAlign="space-between center">
        <span>Super admin</span>
      </h2>
      <a mat-list-item routerLink="/logs" [disabled]="!isSuperAdmin" routerLinkActive="active" #lrla="routerLinkActive">
        <mat-icon mat-list-icon [color]="lrla.isActive ? 'primary' : ''">report_problem</mat-icon>
        <p mat-line>Logs</p>
      </a>
      <a mat-list-item routerLink="/admin-area" [disabled]="!isSuperAdmin" routerLinkActive="active" #acrla="routerLinkActive">
        <mat-icon mat-list-icon [color]="acrla.isActive ? 'primary' : ''">admin_panel_settings</mat-icon>
        <p mat-line>Admin actions</p>
      </a>
    </mat-nav-list>
  </mat-sidenav>
  <ng-scrollbar>
    <main [@routeTransition]="prepareRoute(outlet)">
      <router-outlet #outlet="outlet"></router-outlet>
    </main>
  </ng-scrollbar>
</mat-sidenav-container>
